if ~defined COMDLG32_INC
define COMDLG32_INC 1

import comdlg32,\
ChooseColorA,'ChooseColorA',\
ChooseColorW,'ChooseColorW',\
ChooseFontA,'ChooseFontA',\
ChooseFontW,'ChooseFontW',\
CommDlgExtendedError,'CommDlgExtendedError',\
DllCanUnloadNow, 'DllCanUnloadNow',\
DllGetClassObject, 'DllGetClassObject',\
FindTextA,'FindTextA',\
FindTextW,'FindTextW',\
GetFileTitleA,'GetFileTitleA',\
GetFileTitleW,'GetFileTitleW',\
GetOpenFileNameA,'GetOpenFileNameA',\
GetOpenFileNameW,'GetOpenFileNameW',\
GetSaveFileNameA,'GetSaveFileNameA',\
GetSaveFileNameW,'GetSaveFileNameW',\
LoadAlterBitmap,'LoadAlterBitmap',\
PageSetupDlgA,'PageSetupDlgA',\
PageSetupDlgW,'PageSetupDlgW',\
PrintDlgA,'PrintDlgA',\
PrintDlgW,'PrintDlgW',\
PrintDlgExA,'PrintDlgExA',\
PrintDlgExW,'PrintDlgExW',\
ReplaceTextA,'ReplaceTextA',\
ReplaceTextW,'ReplaceTextW',\
Ssync_ANSI_UNICODE_Struct_For_WOW, 'Ssync_ANSI_UNICODE_Struct_For_WOW',\
WantArrows,'WantArrows',\
dwLBSubclass,'dwLBSubclass',\
dwOKSubclass,'dwOKSubclass'

if defined APP_UNICODE
	ChooseColor equ ChooseColorW
	ChooseFont equ ChooseFontW
	FindText equ FindTextW
	GetFileTitle equ GetFileTitleW
	GetOpenFileName equ GetOpenFileNameW
	GetSaveFileName equ GetSaveFileNameW
	PageSetupDlg equ PageSetupDlgW
	PrintDlg equ PrintDlgW
	ReplaceText equ ReplaceTextW
else
	ChooseColor equ ChooseColorA
	ChooseFont equ ChooseFontA
	FindText equ FindTextA
	GetFileTitle equ GetFileTitleA
	GetOpenFileName equ GetOpenFileNameA
	GetSaveFileName equ GetSaveFileNameA
	PageSetupDlg equ PageSetupDlgA
	PrintDlg equ PrintDlgA
	ReplaceText equ ReplaceTextA
end if

end if ;COMDLG32_INC
