; ====================================================;
;                                                     ;
;        macros.inc for Easy Code 2.0 projects        ;
;                  (version 1.0.0)                    ;
;                                                     ;
;            Copyright  Ramon Sala - 2015            ;
;                                                     ;
; ====================================================;

IFNDEF MACROS_INC
MACROS_INC     EQU     1

A MACRO quoted_text:VARARG
    LOCAL ECDnameA
.data
    ECDnameA db quoted_text,0
.code
    EXITM <offset ECDnameA>
ENDM

L MACRO quoted_text:VARARG
    Local ECDnameW
    Local cnt,comilla
    Local arg

    strsinpar EQU <>
    DWdef  EQU <>
    cnt=0
    comilla=0

.Data
    Align 4
.Code

    DWdef CATSTR <ECDnameW DW  >

    FOR strsinpar,<quoted_text>
        FOR arg,<strsinpar>
            IFDIF <arg>,<">
                cnt=cnt+1
                IF cnt NE 1
                   DWdef CATSTR DWdef,<,>
                ENDIF
                IF comilla EQ 1
                    DWdef CATSTR DWdef,<">,<arg>,<">
                ELSEIF comilla EQ 0
                    DWdef CATSTR DWdef,<strsinpar>
                ENDIF 
            ELSE
                IF comilla EQ 0
                    comilla=comilla+1
                ELSE
                    comilla=comilla-1
                ENDIF
            ENDIF
        ENDM
    ENDM
    IF cnt NE 0
        DWdef CATSTR DWdef,<,00>
    ELSE
        DWdef CATSTR DWdef,<00>
    ENDIF

.Data
    DWdef
.Code
    EXITM <Offset ECDnameW>
ENDM

TEXT MACRO quoted_text:VARARG
    IFDEF APP_UNICODE
        EXITM L(quoted_text)
    ELSE
        EXITM A(quoted_text)
    ENDIF
ENDM

DEFINED MACRO symbol
    IFDEF symbol
        EXITM <1>  
    ELSE
        EXITM <0>      
    ENDIF
ENDM

ENDIF ;MACROS_INC
